/**
 * generated by Xtext 2.19.0
 */
package fr.istic.mML;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see fr.istic.mML.MMLFactory
 * @model kind="package"
 * @generated
 */
public interface MMLPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "mML";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://www.istic.fr/MML";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "mML";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  MMLPackage eINSTANCE = fr.istic.mML.impl.MMLPackageImpl.init();

  /**
   * The meta object id for the '{@link fr.istic.mML.impl.MMLModelImpl <em>Model</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.istic.mML.impl.MMLModelImpl
   * @see fr.istic.mML.impl.MMLPackageImpl#getMMLModel()
   * @generated
   */
  int MML_MODEL = 0;

  /**
   * The feature id for the '<em><b>Input</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MML_MODEL__INPUT = 0;

  /**
   * The feature id for the '<em><b>Ml Choice</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MML_MODEL__ML_CHOICE = 1;

  /**
   * The feature id for the '<em><b>Variables</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MML_MODEL__VARIABLES = 2;

  /**
   * The feature id for the '<em><b>Evaluation</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MML_MODEL__EVALUATION = 3;

  /**
   * The number of structural features of the '<em>Model</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MML_MODEL_FEATURE_COUNT = 4;

  /**
   * The meta object id for the '{@link fr.istic.mML.impl.DataInputImpl <em>Data Input</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.istic.mML.impl.DataInputImpl
   * @see fr.istic.mML.impl.MMLPackageImpl#getDataInput()
   * @generated
   */
  int DATA_INPUT = 1;

  /**
   * The feature id for the '<em><b>File</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int DATA_INPUT__FILE = 0;

  /**
   * The feature id for the '<em><b>Csv Separator</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int DATA_INPUT__CSV_SEPARATOR = 1;

  /**
   * The number of structural features of the '<em>Data Input</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int DATA_INPUT_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link fr.istic.mML.impl.CSVSeparatorImpl <em>CSV Separator</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.istic.mML.impl.CSVSeparatorImpl
   * @see fr.istic.mML.impl.MMLPackageImpl#getCSVSeparator()
   * @generated
   */
  int CSV_SEPARATOR = 2;

  /**
   * The feature id for the '<em><b>Separator</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CSV_SEPARATOR__SEPARATOR = 0;

  /**
   * The number of structural features of the '<em>CSV Separator</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CSV_SEPARATOR_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link fr.istic.mML.impl.MLChoiceImpl <em>ML Choice</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.istic.mML.impl.MLChoiceImpl
   * @see fr.istic.mML.impl.MMLPackageImpl#getMLChoice()
   * @generated
   */
  int ML_CHOICE = 3;

  /**
   * The feature id for the '<em><b>Framework</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ML_CHOICE__FRAMEWORK = 0;

  /**
   * The feature id for the '<em><b>Algorithm</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ML_CHOICE__ALGORITHM = 1;

  /**
   * The number of structural features of the '<em>ML Choice</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ML_CHOICE_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link fr.istic.mML.impl.MLAlgorithmImpl <em>ML Algorithm</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.istic.mML.impl.MLAlgorithmImpl
   * @see fr.istic.mML.impl.MMLPackageImpl#getMLAlgorithm()
   * @generated
   */
  int ML_ALGORITHM = 4;

  /**
   * The number of structural features of the '<em>ML Algorithm</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ML_ALGORITHM_FEATURE_COUNT = 0;

  /**
   * The meta object id for the '{@link fr.istic.mML.impl.RegressionTreeImpl <em>Regression Tree</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.istic.mML.impl.RegressionTreeImpl
   * @see fr.istic.mML.impl.MMLPackageImpl#getRegressionTree()
   * @generated
   */
  int REGRESSION_TREE = 5;

  /**
   * The feature id for the '<em><b>Regression Tree</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REGRESSION_TREE__REGRESSION_TREE = ML_ALGORITHM_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Regression Tree</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REGRESSION_TREE_FEATURE_COUNT = ML_ALGORITHM_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link fr.istic.mML.impl.LinearRegressionImpl <em>Linear Regression</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.istic.mML.impl.LinearRegressionImpl
   * @see fr.istic.mML.impl.MMLPackageImpl#getLinearRegression()
   * @generated
   */
  int LINEAR_REGRESSION = 6;

  /**
   * The feature id for the '<em><b>Linear Regression</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int LINEAR_REGRESSION__LINEAR_REGRESSION = ML_ALGORITHM_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Linear Regression</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int LINEAR_REGRESSION_FEATURE_COUNT = ML_ALGORITHM_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link fr.istic.mML.impl.VariablesImpl <em>Variables</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.istic.mML.impl.VariablesImpl
   * @see fr.istic.mML.impl.MMLPackageImpl#getVariables()
   * @generated
   */
  int VARIABLES = 7;

  /**
   * The feature id for the '<em><b>Predictions</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int VARIABLES__PREDICTIONS = 0;

  /**
   * The feature id for the '<em><b>Target</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int VARIABLES__TARGET = 1;

  /**
   * The number of structural features of the '<em>Variables</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int VARIABLES_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link fr.istic.mML.impl.TargetImpl <em>Target</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.istic.mML.impl.TargetImpl
   * @see fr.istic.mML.impl.MMLPackageImpl#getTarget()
   * @generated
   */
  int TARGET = 8;

  /**
   * The number of structural features of the '<em>Target</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TARGET_FEATURE_COUNT = 0;

  /**
   * The meta object id for the '{@link fr.istic.mML.impl.DefaultTargetImpl <em>Default Target</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.istic.mML.impl.DefaultTargetImpl
   * @see fr.istic.mML.impl.MMLPackageImpl#getDefaultTarget()
   * @generated
   */
  int DEFAULT_TARGET = 9;

  /**
   * The feature id for the '<em><b>Default</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int DEFAULT_TARGET__DEFAULT = TARGET_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Default Target</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int DEFAULT_TARGET_FEATURE_COUNT = TARGET_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link fr.istic.mML.impl.NamedTargetImpl <em>Named Target</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.istic.mML.impl.NamedTargetImpl
   * @see fr.istic.mML.impl.MMLPackageImpl#getNamedTarget()
   * @generated
   */
  int NAMED_TARGET = 10;

  /**
   * The feature id for the '<em><b>Target</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int NAMED_TARGET__TARGET = TARGET_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Named Target</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int NAMED_TARGET_FEATURE_COUNT = TARGET_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link fr.istic.mML.impl.PredictionsImpl <em>Predictions</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.istic.mML.impl.PredictionsImpl
   * @see fr.istic.mML.impl.MMLPackageImpl#getPredictions()
   * @generated
   */
  int PREDICTIONS = 11;

  /**
   * The number of structural features of the '<em>Predictions</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PREDICTIONS_FEATURE_COUNT = 0;

  /**
   * The meta object id for the '{@link fr.istic.mML.impl.AllVariablesImpl <em>All Variables</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.istic.mML.impl.AllVariablesImpl
   * @see fr.istic.mML.impl.MMLPackageImpl#getAllVariables()
   * @generated
   */
  int ALL_VARIABLES = 12;

  /**
   * The feature id for the '<em><b>All</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ALL_VARIABLES__ALL = PREDICTIONS_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>All Variables</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ALL_VARIABLES_FEATURE_COUNT = PREDICTIONS_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link fr.istic.mML.impl.PredictorVariablesImpl <em>Predictor Variables</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.istic.mML.impl.PredictorVariablesImpl
   * @see fr.istic.mML.impl.MMLPackageImpl#getPredictorVariables()
   * @generated
   */
  int PREDICTOR_VARIABLES = 13;

  /**
   * The feature id for the '<em><b>Vars</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PREDICTOR_VARIABLES__VARS = PREDICTIONS_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Predictor Variables</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PREDICTOR_VARIABLES_FEATURE_COUNT = PREDICTIONS_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link fr.istic.mML.impl.ItemImpl <em>Item</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.istic.mML.impl.ItemImpl
   * @see fr.istic.mML.impl.MMLPackageImpl#getItem()
   * @generated
   */
  int ITEM = 14;

  /**
   * The feature id for the '<em><b>Column Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ITEM__COLUMN_NAME = 0;

  /**
   * The number of structural features of the '<em>Item</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ITEM_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link fr.istic.mML.impl.EvaluationImpl <em>Evaluation</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.istic.mML.impl.EvaluationImpl
   * @see fr.istic.mML.impl.MMLPackageImpl#getEvaluation()
   * @generated
   */
  int EVALUATION = 15;

  /**
   * The feature id for the '<em><b>Strategy Evaluation</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EVALUATION__STRATEGY_EVALUATION = 0;

  /**
   * The number of structural features of the '<em>Evaluation</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EVALUATION_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link fr.istic.mML.impl.StrategyEvaluationImpl <em>Strategy Evaluation</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.istic.mML.impl.StrategyEvaluationImpl
   * @see fr.istic.mML.impl.MMLPackageImpl#getStrategyEvaluation()
   * @generated
   */
  int STRATEGY_EVALUATION = 16;

  /**
   * The number of structural features of the '<em>Strategy Evaluation</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int STRATEGY_EVALUATION_FEATURE_COUNT = 0;

  /**
   * The meta object id for the '{@link fr.istic.mML.impl.SimpleSplitImpl <em>Simple Split</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.istic.mML.impl.SimpleSplitImpl
   * @see fr.istic.mML.impl.MMLPackageImpl#getSimpleSplit()
   * @generated
   */
  int SIMPLE_SPLIT = 17;

  /**
   * The feature id for the '<em><b>Validation Percent</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SIMPLE_SPLIT__VALIDATION_PERCENT = STRATEGY_EVALUATION_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Simple Split</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SIMPLE_SPLIT_FEATURE_COUNT = STRATEGY_EVALUATION_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link fr.istic.mML.impl.CrossValidationImpl <em>Cross Validation</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.istic.mML.impl.CrossValidationImpl
   * @see fr.istic.mML.impl.MMLPackageImpl#getCrossValidation()
   * @generated
   */
  int CROSS_VALIDATION = 18;

  /**
   * The feature id for the '<em><b>Number</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CROSS_VALIDATION__NUMBER = STRATEGY_EVALUATION_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Cross Validation</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CROSS_VALIDATION_FEATURE_COUNT = STRATEGY_EVALUATION_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link fr.istic.mML.MLFramework <em>ML Framework</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.istic.mML.MLFramework
   * @see fr.istic.mML.impl.MMLPackageImpl#getMLFramework()
   * @generated
   */
  int ML_FRAMEWORK = 19;


  /**
   * Returns the meta object for class '{@link fr.istic.mML.MMLModel <em>Model</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Model</em>'.
   * @see fr.istic.mML.MMLModel
   * @generated
   */
  EClass getMMLModel();

  /**
   * Returns the meta object for the containment reference '{@link fr.istic.mML.MMLModel#getInput <em>Input</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Input</em>'.
   * @see fr.istic.mML.MMLModel#getInput()
   * @see #getMMLModel()
   * @generated
   */
  EReference getMMLModel_Input();

  /**
   * Returns the meta object for the containment reference '{@link fr.istic.mML.MMLModel#getMlChoice <em>Ml Choice</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Ml Choice</em>'.
   * @see fr.istic.mML.MMLModel#getMlChoice()
   * @see #getMMLModel()
   * @generated
   */
  EReference getMMLModel_MlChoice();

  /**
   * Returns the meta object for the containment reference '{@link fr.istic.mML.MMLModel#getVariables <em>Variables</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Variables</em>'.
   * @see fr.istic.mML.MMLModel#getVariables()
   * @see #getMMLModel()
   * @generated
   */
  EReference getMMLModel_Variables();

  /**
   * Returns the meta object for the containment reference '{@link fr.istic.mML.MMLModel#getEvaluation <em>Evaluation</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Evaluation</em>'.
   * @see fr.istic.mML.MMLModel#getEvaluation()
   * @see #getMMLModel()
   * @generated
   */
  EReference getMMLModel_Evaluation();

  /**
   * Returns the meta object for class '{@link fr.istic.mML.DataInput <em>Data Input</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Data Input</em>'.
   * @see fr.istic.mML.DataInput
   * @generated
   */
  EClass getDataInput();

  /**
   * Returns the meta object for the attribute '{@link fr.istic.mML.DataInput#getFile <em>File</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>File</em>'.
   * @see fr.istic.mML.DataInput#getFile()
   * @see #getDataInput()
   * @generated
   */
  EAttribute getDataInput_File();

  /**
   * Returns the meta object for the containment reference '{@link fr.istic.mML.DataInput#getCsvSeparator <em>Csv Separator</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Csv Separator</em>'.
   * @see fr.istic.mML.DataInput#getCsvSeparator()
   * @see #getDataInput()
   * @generated
   */
  EReference getDataInput_CsvSeparator();

  /**
   * Returns the meta object for class '{@link fr.istic.mML.CSVSeparator <em>CSV Separator</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>CSV Separator</em>'.
   * @see fr.istic.mML.CSVSeparator
   * @generated
   */
  EClass getCSVSeparator();

  /**
   * Returns the meta object for the attribute '{@link fr.istic.mML.CSVSeparator#getSeparator <em>Separator</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Separator</em>'.
   * @see fr.istic.mML.CSVSeparator#getSeparator()
   * @see #getCSVSeparator()
   * @generated
   */
  EAttribute getCSVSeparator_Separator();

  /**
   * Returns the meta object for class '{@link fr.istic.mML.MLChoice <em>ML Choice</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>ML Choice</em>'.
   * @see fr.istic.mML.MLChoice
   * @generated
   */
  EClass getMLChoice();

  /**
   * Returns the meta object for the attribute '{@link fr.istic.mML.MLChoice#getFramework <em>Framework</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Framework</em>'.
   * @see fr.istic.mML.MLChoice#getFramework()
   * @see #getMLChoice()
   * @generated
   */
  EAttribute getMLChoice_Framework();

  /**
   * Returns the meta object for the containment reference '{@link fr.istic.mML.MLChoice#getAlgorithm <em>Algorithm</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Algorithm</em>'.
   * @see fr.istic.mML.MLChoice#getAlgorithm()
   * @see #getMLChoice()
   * @generated
   */
  EReference getMLChoice_Algorithm();

  /**
   * Returns the meta object for class '{@link fr.istic.mML.MLAlgorithm <em>ML Algorithm</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>ML Algorithm</em>'.
   * @see fr.istic.mML.MLAlgorithm
   * @generated
   */
  EClass getMLAlgorithm();

  /**
   * Returns the meta object for class '{@link fr.istic.mML.RegressionTree <em>Regression Tree</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Regression Tree</em>'.
   * @see fr.istic.mML.RegressionTree
   * @generated
   */
  EClass getRegressionTree();

  /**
   * Returns the meta object for the attribute '{@link fr.istic.mML.RegressionTree#getRegressionTree <em>Regression Tree</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Regression Tree</em>'.
   * @see fr.istic.mML.RegressionTree#getRegressionTree()
   * @see #getRegressionTree()
   * @generated
   */
  EAttribute getRegressionTree_RegressionTree();

  /**
   * Returns the meta object for class '{@link fr.istic.mML.LinearRegression <em>Linear Regression</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Linear Regression</em>'.
   * @see fr.istic.mML.LinearRegression
   * @generated
   */
  EClass getLinearRegression();

  /**
   * Returns the meta object for the attribute '{@link fr.istic.mML.LinearRegression#getLinearRegression <em>Linear Regression</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Linear Regression</em>'.
   * @see fr.istic.mML.LinearRegression#getLinearRegression()
   * @see #getLinearRegression()
   * @generated
   */
  EAttribute getLinearRegression_LinearRegression();

  /**
   * Returns the meta object for class '{@link fr.istic.mML.Variables <em>Variables</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Variables</em>'.
   * @see fr.istic.mML.Variables
   * @generated
   */
  EClass getVariables();

  /**
   * Returns the meta object for the containment reference '{@link fr.istic.mML.Variables#getPredictions <em>Predictions</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Predictions</em>'.
   * @see fr.istic.mML.Variables#getPredictions()
   * @see #getVariables()
   * @generated
   */
  EReference getVariables_Predictions();

  /**
   * Returns the meta object for the containment reference '{@link fr.istic.mML.Variables#getTarget <em>Target</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Target</em>'.
   * @see fr.istic.mML.Variables#getTarget()
   * @see #getVariables()
   * @generated
   */
  EReference getVariables_Target();

  /**
   * Returns the meta object for class '{@link fr.istic.mML.Target <em>Target</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Target</em>'.
   * @see fr.istic.mML.Target
   * @generated
   */
  EClass getTarget();

  /**
   * Returns the meta object for class '{@link fr.istic.mML.DefaultTarget <em>Default Target</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Default Target</em>'.
   * @see fr.istic.mML.DefaultTarget
   * @generated
   */
  EClass getDefaultTarget();

  /**
   * Returns the meta object for the attribute '{@link fr.istic.mML.DefaultTarget#getDefault <em>Default</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Default</em>'.
   * @see fr.istic.mML.DefaultTarget#getDefault()
   * @see #getDefaultTarget()
   * @generated
   */
  EAttribute getDefaultTarget_Default();

  /**
   * Returns the meta object for class '{@link fr.istic.mML.NamedTarget <em>Named Target</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Named Target</em>'.
   * @see fr.istic.mML.NamedTarget
   * @generated
   */
  EClass getNamedTarget();

  /**
   * Returns the meta object for the containment reference '{@link fr.istic.mML.NamedTarget#getTarget <em>Target</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Target</em>'.
   * @see fr.istic.mML.NamedTarget#getTarget()
   * @see #getNamedTarget()
   * @generated
   */
  EReference getNamedTarget_Target();

  /**
   * Returns the meta object for class '{@link fr.istic.mML.Predictions <em>Predictions</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Predictions</em>'.
   * @see fr.istic.mML.Predictions
   * @generated
   */
  EClass getPredictions();

  /**
   * Returns the meta object for class '{@link fr.istic.mML.AllVariables <em>All Variables</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>All Variables</em>'.
   * @see fr.istic.mML.AllVariables
   * @generated
   */
  EClass getAllVariables();

  /**
   * Returns the meta object for the attribute '{@link fr.istic.mML.AllVariables#getAll <em>All</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>All</em>'.
   * @see fr.istic.mML.AllVariables#getAll()
   * @see #getAllVariables()
   * @generated
   */
  EAttribute getAllVariables_All();

  /**
   * Returns the meta object for class '{@link fr.istic.mML.PredictorVariables <em>Predictor Variables</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Predictor Variables</em>'.
   * @see fr.istic.mML.PredictorVariables
   * @generated
   */
  EClass getPredictorVariables();

  /**
   * Returns the meta object for the containment reference list '{@link fr.istic.mML.PredictorVariables#getVars <em>Vars</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Vars</em>'.
   * @see fr.istic.mML.PredictorVariables#getVars()
   * @see #getPredictorVariables()
   * @generated
   */
  EReference getPredictorVariables_Vars();

  /**
   * Returns the meta object for class '{@link fr.istic.mML.Item <em>Item</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Item</em>'.
   * @see fr.istic.mML.Item
   * @generated
   */
  EClass getItem();

  /**
   * Returns the meta object for the attribute '{@link fr.istic.mML.Item#getColumnName <em>Column Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Column Name</em>'.
   * @see fr.istic.mML.Item#getColumnName()
   * @see #getItem()
   * @generated
   */
  EAttribute getItem_ColumnName();

  /**
   * Returns the meta object for class '{@link fr.istic.mML.Evaluation <em>Evaluation</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Evaluation</em>'.
   * @see fr.istic.mML.Evaluation
   * @generated
   */
  EClass getEvaluation();

  /**
   * Returns the meta object for the containment reference '{@link fr.istic.mML.Evaluation#getStrategyEvaluation <em>Strategy Evaluation</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Strategy Evaluation</em>'.
   * @see fr.istic.mML.Evaluation#getStrategyEvaluation()
   * @see #getEvaluation()
   * @generated
   */
  EReference getEvaluation_StrategyEvaluation();

  /**
   * Returns the meta object for class '{@link fr.istic.mML.StrategyEvaluation <em>Strategy Evaluation</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Strategy Evaluation</em>'.
   * @see fr.istic.mML.StrategyEvaluation
   * @generated
   */
  EClass getStrategyEvaluation();

  /**
   * Returns the meta object for class '{@link fr.istic.mML.SimpleSplit <em>Simple Split</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Simple Split</em>'.
   * @see fr.istic.mML.SimpleSplit
   * @generated
   */
  EClass getSimpleSplit();

  /**
   * Returns the meta object for the attribute '{@link fr.istic.mML.SimpleSplit#getValidationPercent <em>Validation Percent</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Validation Percent</em>'.
   * @see fr.istic.mML.SimpleSplit#getValidationPercent()
   * @see #getSimpleSplit()
   * @generated
   */
  EAttribute getSimpleSplit_ValidationPercent();

  /**
   * Returns the meta object for class '{@link fr.istic.mML.CrossValidation <em>Cross Validation</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Cross Validation</em>'.
   * @see fr.istic.mML.CrossValidation
   * @generated
   */
  EClass getCrossValidation();

  /**
   * Returns the meta object for the attribute '{@link fr.istic.mML.CrossValidation#getNumber <em>Number</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Number</em>'.
   * @see fr.istic.mML.CrossValidation#getNumber()
   * @see #getCrossValidation()
   * @generated
   */
  EAttribute getCrossValidation_Number();

  /**
   * Returns the meta object for enum '{@link fr.istic.mML.MLFramework <em>ML Framework</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>ML Framework</em>'.
   * @see fr.istic.mML.MLFramework
   * @generated
   */
  EEnum getMLFramework();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  MMLFactory getMMLFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link fr.istic.mML.impl.MMLModelImpl <em>Model</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.istic.mML.impl.MMLModelImpl
     * @see fr.istic.mML.impl.MMLPackageImpl#getMMLModel()
     * @generated
     */
    EClass MML_MODEL = eINSTANCE.getMMLModel();

    /**
     * The meta object literal for the '<em><b>Input</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference MML_MODEL__INPUT = eINSTANCE.getMMLModel_Input();

    /**
     * The meta object literal for the '<em><b>Ml Choice</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference MML_MODEL__ML_CHOICE = eINSTANCE.getMMLModel_MlChoice();

    /**
     * The meta object literal for the '<em><b>Variables</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference MML_MODEL__VARIABLES = eINSTANCE.getMMLModel_Variables();

    /**
     * The meta object literal for the '<em><b>Evaluation</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference MML_MODEL__EVALUATION = eINSTANCE.getMMLModel_Evaluation();

    /**
     * The meta object literal for the '{@link fr.istic.mML.impl.DataInputImpl <em>Data Input</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.istic.mML.impl.DataInputImpl
     * @see fr.istic.mML.impl.MMLPackageImpl#getDataInput()
     * @generated
     */
    EClass DATA_INPUT = eINSTANCE.getDataInput();

    /**
     * The meta object literal for the '<em><b>File</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute DATA_INPUT__FILE = eINSTANCE.getDataInput_File();

    /**
     * The meta object literal for the '<em><b>Csv Separator</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference DATA_INPUT__CSV_SEPARATOR = eINSTANCE.getDataInput_CsvSeparator();

    /**
     * The meta object literal for the '{@link fr.istic.mML.impl.CSVSeparatorImpl <em>CSV Separator</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.istic.mML.impl.CSVSeparatorImpl
     * @see fr.istic.mML.impl.MMLPackageImpl#getCSVSeparator()
     * @generated
     */
    EClass CSV_SEPARATOR = eINSTANCE.getCSVSeparator();

    /**
     * The meta object literal for the '<em><b>Separator</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute CSV_SEPARATOR__SEPARATOR = eINSTANCE.getCSVSeparator_Separator();

    /**
     * The meta object literal for the '{@link fr.istic.mML.impl.MLChoiceImpl <em>ML Choice</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.istic.mML.impl.MLChoiceImpl
     * @see fr.istic.mML.impl.MMLPackageImpl#getMLChoice()
     * @generated
     */
    EClass ML_CHOICE = eINSTANCE.getMLChoice();

    /**
     * The meta object literal for the '<em><b>Framework</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ML_CHOICE__FRAMEWORK = eINSTANCE.getMLChoice_Framework();

    /**
     * The meta object literal for the '<em><b>Algorithm</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ML_CHOICE__ALGORITHM = eINSTANCE.getMLChoice_Algorithm();

    /**
     * The meta object literal for the '{@link fr.istic.mML.impl.MLAlgorithmImpl <em>ML Algorithm</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.istic.mML.impl.MLAlgorithmImpl
     * @see fr.istic.mML.impl.MMLPackageImpl#getMLAlgorithm()
     * @generated
     */
    EClass ML_ALGORITHM = eINSTANCE.getMLAlgorithm();

    /**
     * The meta object literal for the '{@link fr.istic.mML.impl.RegressionTreeImpl <em>Regression Tree</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.istic.mML.impl.RegressionTreeImpl
     * @see fr.istic.mML.impl.MMLPackageImpl#getRegressionTree()
     * @generated
     */
    EClass REGRESSION_TREE = eINSTANCE.getRegressionTree();

    /**
     * The meta object literal for the '<em><b>Regression Tree</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute REGRESSION_TREE__REGRESSION_TREE = eINSTANCE.getRegressionTree_RegressionTree();

    /**
     * The meta object literal for the '{@link fr.istic.mML.impl.LinearRegressionImpl <em>Linear Regression</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.istic.mML.impl.LinearRegressionImpl
     * @see fr.istic.mML.impl.MMLPackageImpl#getLinearRegression()
     * @generated
     */
    EClass LINEAR_REGRESSION = eINSTANCE.getLinearRegression();

    /**
     * The meta object literal for the '<em><b>Linear Regression</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute LINEAR_REGRESSION__LINEAR_REGRESSION = eINSTANCE.getLinearRegression_LinearRegression();

    /**
     * The meta object literal for the '{@link fr.istic.mML.impl.VariablesImpl <em>Variables</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.istic.mML.impl.VariablesImpl
     * @see fr.istic.mML.impl.MMLPackageImpl#getVariables()
     * @generated
     */
    EClass VARIABLES = eINSTANCE.getVariables();

    /**
     * The meta object literal for the '<em><b>Predictions</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference VARIABLES__PREDICTIONS = eINSTANCE.getVariables_Predictions();

    /**
     * The meta object literal for the '<em><b>Target</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference VARIABLES__TARGET = eINSTANCE.getVariables_Target();

    /**
     * The meta object literal for the '{@link fr.istic.mML.impl.TargetImpl <em>Target</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.istic.mML.impl.TargetImpl
     * @see fr.istic.mML.impl.MMLPackageImpl#getTarget()
     * @generated
     */
    EClass TARGET = eINSTANCE.getTarget();

    /**
     * The meta object literal for the '{@link fr.istic.mML.impl.DefaultTargetImpl <em>Default Target</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.istic.mML.impl.DefaultTargetImpl
     * @see fr.istic.mML.impl.MMLPackageImpl#getDefaultTarget()
     * @generated
     */
    EClass DEFAULT_TARGET = eINSTANCE.getDefaultTarget();

    /**
     * The meta object literal for the '<em><b>Default</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute DEFAULT_TARGET__DEFAULT = eINSTANCE.getDefaultTarget_Default();

    /**
     * The meta object literal for the '{@link fr.istic.mML.impl.NamedTargetImpl <em>Named Target</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.istic.mML.impl.NamedTargetImpl
     * @see fr.istic.mML.impl.MMLPackageImpl#getNamedTarget()
     * @generated
     */
    EClass NAMED_TARGET = eINSTANCE.getNamedTarget();

    /**
     * The meta object literal for the '<em><b>Target</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference NAMED_TARGET__TARGET = eINSTANCE.getNamedTarget_Target();

    /**
     * The meta object literal for the '{@link fr.istic.mML.impl.PredictionsImpl <em>Predictions</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.istic.mML.impl.PredictionsImpl
     * @see fr.istic.mML.impl.MMLPackageImpl#getPredictions()
     * @generated
     */
    EClass PREDICTIONS = eINSTANCE.getPredictions();

    /**
     * The meta object literal for the '{@link fr.istic.mML.impl.AllVariablesImpl <em>All Variables</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.istic.mML.impl.AllVariablesImpl
     * @see fr.istic.mML.impl.MMLPackageImpl#getAllVariables()
     * @generated
     */
    EClass ALL_VARIABLES = eINSTANCE.getAllVariables();

    /**
     * The meta object literal for the '<em><b>All</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ALL_VARIABLES__ALL = eINSTANCE.getAllVariables_All();

    /**
     * The meta object literal for the '{@link fr.istic.mML.impl.PredictorVariablesImpl <em>Predictor Variables</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.istic.mML.impl.PredictorVariablesImpl
     * @see fr.istic.mML.impl.MMLPackageImpl#getPredictorVariables()
     * @generated
     */
    EClass PREDICTOR_VARIABLES = eINSTANCE.getPredictorVariables();

    /**
     * The meta object literal for the '<em><b>Vars</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference PREDICTOR_VARIABLES__VARS = eINSTANCE.getPredictorVariables_Vars();

    /**
     * The meta object literal for the '{@link fr.istic.mML.impl.ItemImpl <em>Item</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.istic.mML.impl.ItemImpl
     * @see fr.istic.mML.impl.MMLPackageImpl#getItem()
     * @generated
     */
    EClass ITEM = eINSTANCE.getItem();

    /**
     * The meta object literal for the '<em><b>Column Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ITEM__COLUMN_NAME = eINSTANCE.getItem_ColumnName();

    /**
     * The meta object literal for the '{@link fr.istic.mML.impl.EvaluationImpl <em>Evaluation</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.istic.mML.impl.EvaluationImpl
     * @see fr.istic.mML.impl.MMLPackageImpl#getEvaluation()
     * @generated
     */
    EClass EVALUATION = eINSTANCE.getEvaluation();

    /**
     * The meta object literal for the '<em><b>Strategy Evaluation</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference EVALUATION__STRATEGY_EVALUATION = eINSTANCE.getEvaluation_StrategyEvaluation();

    /**
     * The meta object literal for the '{@link fr.istic.mML.impl.StrategyEvaluationImpl <em>Strategy Evaluation</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.istic.mML.impl.StrategyEvaluationImpl
     * @see fr.istic.mML.impl.MMLPackageImpl#getStrategyEvaluation()
     * @generated
     */
    EClass STRATEGY_EVALUATION = eINSTANCE.getStrategyEvaluation();

    /**
     * The meta object literal for the '{@link fr.istic.mML.impl.SimpleSplitImpl <em>Simple Split</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.istic.mML.impl.SimpleSplitImpl
     * @see fr.istic.mML.impl.MMLPackageImpl#getSimpleSplit()
     * @generated
     */
    EClass SIMPLE_SPLIT = eINSTANCE.getSimpleSplit();

    /**
     * The meta object literal for the '<em><b>Validation Percent</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute SIMPLE_SPLIT__VALIDATION_PERCENT = eINSTANCE.getSimpleSplit_ValidationPercent();

    /**
     * The meta object literal for the '{@link fr.istic.mML.impl.CrossValidationImpl <em>Cross Validation</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.istic.mML.impl.CrossValidationImpl
     * @see fr.istic.mML.impl.MMLPackageImpl#getCrossValidation()
     * @generated
     */
    EClass CROSS_VALIDATION = eINSTANCE.getCrossValidation();

    /**
     * The meta object literal for the '<em><b>Number</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute CROSS_VALIDATION__NUMBER = eINSTANCE.getCrossValidation_Number();

    /**
     * The meta object literal for the '{@link fr.istic.mML.MLFramework <em>ML Framework</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.istic.mML.MLFramework
     * @see fr.istic.mML.impl.MMLPackageImpl#getMLFramework()
     * @generated
     */
    EEnum ML_FRAMEWORK = eINSTANCE.getMLFramework();

  }

} //MMLPackage
